<?php

/**
*  2018 iPay88 Indonesia
*
*  @author alda.mustafri@ipay88.co.id
*  @copyright 2018 iPay88 Indonesia
*/

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../header.php');
include(dirname(__FILE__).'/ipay88_kredivo.php');


$context 	= Context::getContext();
$cart 		= $context->cart;
$ipay88		= new ipay88_kredivo();

$customer 	= new Customer((int)$cart->id_customer);

$currency 	= $context->currency;
$total 		= (float)($cart->getOrderTotal(true, Cart::BOTH));


$ipay88->validateOrder($cart->id, Configuration::get('ipay88_kredivo_pending'), $total, $ipay88->displayName, NULL, array(), (int)$currency->id, false, $customer->secure_key);

$order = new Order($ipay88->currentOrder);
?>